Bug 177068 - anaconda crashes if using DVD+RW (DVD-R works)
anaconda crashes if using DVD+RW (DVD-R works)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 17:41 EST by Peter Quiring
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 20:23:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Quiring 2006-01-05 17:41:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
I've recently been burning FC on a DVD+RW so I can test the rawhide releases.  And now as soon as anaconda starts I get a Call trace: <IRQ>...

I can't log it, but one function I noticed called is ide_do_rw_cdrom() within the IRQ functions.  This bug hasn't been happening until I started to use a DVD+RW disc. (up until now I've just been using FC5test1 on a DVD-R disc).

Here is a brief list of the call trace:

Call trace : <IRQ> {panic} {_spin_unlock_irq}
  {__down_read} {_spin_lock_irqsave}
  {__up_read} {do_exit}
  {do_unblank_screen} {kernel_math_error}
  {do_general_protection} {error_exit}
  {cfg_latter_request} {rb_next}
  {cfg_latter_request+13} {blk_attempt_remerge}
  {ide_do_rw_cdrom} {ide_do_request}
  {ide_end_request} {cdrom_read_intr}
  {ide_intr} {handle_IRQ_event}
  {__do_IRQ} {do_IRQ}
  {ret_from_intr} <EOI> {default_idle}
  {default_idle} {cpu_idle}
  {start_kernel} {_sinittext}

I've left out most +offsets, etc.

Hope this helps.




Version-Release number of selected component (if applicable):
anaconda-10.90.23-1 (rawhide 1-5-2006)

How reproducible:
Always

Steps to Reproduce:
1.Boot from DVD+RW and start anaconda (graphics or text mode - doesn't matter)
2.
3.
  

Actual Results:  Call trace (crashes)

Expected Results:  Do not crash.

Additional info:

I have NOT tried the rawhide on a DVD-R so I'm not 100% sure if this is related to using an RW disc (just an assumption) or new bugs somewhere else.
But from the output of the log it would seem so.
Comment 1 Peter Quiring 2006-01-05 22:35:26 EST
Correction : The bug occurs when using a DVD-R as well.  It was just a
coincidence that I started to use DVD+RW disc.  Note that sometimes the call
trace is displayed in ascii chars > 128 (unreadable).
Comment 2 Peter Quiring 2006-01-11 20:23:59 EST
The problem has been fixed in latest rawhide.  

Note You need to log in before you can comment on or make changes to this bug.